Regarding Brave's Metamask Variant Wallet

Description of the issue:
How can this issue be reproduced?

  1. Browser
  2. Burger
  3. Crypto Wallet
    Expected result:
    Safety
    Brave Version( check About Brave):
    Version 1.18.75 Chromium: 87.0.4280.101 (Official Build) (64-bit)
    Additional Information:
    Does the Metamask Variant receive support? Specifically the update to window.web3(due to non support & safety concerns)mentioned on its github and in its API documentation?

I’ve used the native wallet for a year. The wallet no longer has its functions for Ether purchasing or erc20 token swapping , which is rather disheartening. I have noticed it can break on data for txn ids on Etherscan–which is harmful when attempting claims wanting proof of contract access, though I believe I culled the documentation from the state logs.

Regards & Merry Christmas :raised_hand_with_fingers_splayed::santa::smoking:

Does ConsenSys offer assistance with Brave’s native variant on matters of security revisions?